 /***********************************************************************
 *                                                                      *
 * pw_booster_wait.s                                                 	*
 * This is a program of awaiting stability of the LCD POWER BOOSTER.    *
 * History :  2008/04/01  Start.                                        *
 *                                                                      *                                                                      *
 ***********************************************************************/
 
	.set	LCD_PWR_WAIT_PARAM1, 0x01	// Please change the value if necessary.
										// 0x01 is a value at OSC1=32KHz, FLASHC Read Cycle=1
										// 1loop=32cycle
										
    .text
    .align 2
    .global pwb_wait_osc1
    
pwb_wait_osc1:

	ld.a	-[%sp],%r4
	xld.a 	%r3,LCD_PWR_WAIT_PARAM1
PWB_WAIT_LOOP_OSC1:
	xsub.a	%r3,0x01				//1 cycle
	xcmp.a	%r3,0x0					//1 cycle

	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	
	nop								//8 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	
	jrne	PWB_WAIT_LOOP_OSC1		//2 cycle

	ld.a	%r4,[%sp]+
	ret

	
	.set	LCD_PWR_WAIT_PARAM3, 0xc8	// Please change the value if necessary.
										// 0xc8 is a value at OSC3=6MHz(SVT17702 Board),
										// FLASHC Read Cycle=1.
										// 1loop=30cycle 

    .text
    .align 2
    .global pwb_wait_osc3
    
pwb_wait_osc3:

	ld.a	-[%sp],%r4				
	xld.a 	%r3,LCD_PWR_WAIT_PARAM3	
PWB_WAIT_LOOP_OSC3:
	xsub.a	%r3,0x01				//1 cycle
	xcmp.a	%r3,0x0					//1 cycle
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop


	nop								//6 cycle
	nop
	nop
	nop
	nop
	nop

	jrne	PWB_WAIT_LOOP_OSC3		//2 cycle

	ld.a	%r4,[%sp]+
	ret
	
	
	.set	LCD_PWR_WAIT_PARAMI, 0x32	// Please change the value if necessary.
										// 0x32 is a value at IOSC=2.5MHz, FLASHC Read Cycle=1.
										// 1loop=50cycle 

    .text
    .align 2
    .global pwb_wait_iosc
    
pwb_wait_iosc:

	ld.a	-[%sp],%r4
	xld.a 	%r3,LCD_PWR_WAIT_PARAMI
PWB_WAIT_LOOP_IOSC:
	xsub.a	%r3,0x01				//1 cycle
	xcmp.a	%r3,0x0					//1 cycle
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop

	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop	
	
	nop								//10 cycle
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
			
	nop								//6 cycle
	nop
	nop
	nop
	nop
	nop

	jrne	PWB_WAIT_LOOP_IOSC		//2 cycle

	ld.a	%r4,[%sp]+				
	ret								

