 /***********************************************************************
 *                                                                      *
 * t16.h                                                                *
 * This is t16 driver header file for SVT17702.                         *
 * History:  2008/03/28  Start.                                         *
 *                                                                      *
 ***********************************************************************/

#ifndef _T16_H
#define _T16_H

typedef struct
{
	unsigned char	clkMode;			//CKSL
	unsigned char	cntMode;			//mode  0:repeat 1:one shot
	unsigned char	cntClock;			//clock
	unsigned char	exActiveLv;			//Polar 1:Rise 0:Fail
	unsigned short	count;				//Reload value
}InitParamT16;


extern void initT16Ch0(InitParamT16* initParam);
extern void initT16Ch1(InitParamT16* initParam);
extern void initT16Ch2(InitParamT16* initParam);
extern void resetT16Ch0Count(void);
extern void resetT16Ch1Count(void);
extern void resetT16Ch2Count(void);
extern void startT16Ch0(void);
extern void startT16Ch1(void);
extern void startT16Ch2(void);
extern void stopT16Ch0(void);
extern void stopT16Ch1(void);
extern void stopT16Ch2(void);
extern unsigned short getT16Ch0Count(void);
extern unsigned short getT16Ch1Count(void);
extern unsigned short getT16Ch2Count(void);
extern void initT16Ch0Int(unsigned char intLevel);
extern void initT16Ch1Int(unsigned char intLevel);
extern void initT16Ch2Int(unsigned char intLevel);
extern void startT16Ch0Int(void);
extern void startT16Ch1Int(void);
extern void startT16Ch2Int(void);
extern void stopT16Ch0Int(void);
extern void stopT16Ch1Int(void);
extern void stopT16Ch2Int(void);
extern void resetT16Ch0IF(void);
extern void resetT16Ch1IF(void);
extern void resetT16Ch2IF(void);


#define T16_CLK_MODE_IN				0		//CKSL internal
#define T16_CLK_MODE_OUT			1		//CKSL External
#define T16_CLK_MODE_PULSE			2		//CKSL Pulse width
#define T16_CNT_MODE_REPEAT			0		//repeat
#define T16_CNT_MODE_ONESHOT		1		//one shot
#define T16_IN_CLOCK_1				0x0		//PCLK  1/1
#define T16_IN_CLOCK_2				0x1		//      1/2
#define T16_IN_CLOCK_4				0x2		//      1/4
#define T16_IN_CLOCK_8				0x3		//      1/8
#define T16_IN_CLOCK_16				0x4		//      1/16
#define T16_IN_CLOCK_32				0x5		//      1/32
#define T16_IN_CLOCK_64				0x6		//      1/64
#define T16_IN_CLOCK_128			0x7		//      1/128
#define T16_IN_CLOCK_256			0x8		//      1/256
#define T16_IN_CLOCK_512			0x9		//      1/512
#define T16_IN_CLOCK_1024			0xa		//      1/1024
#define T16_IN_CLOCK_2048			0xb		//      1/2048
#define T16_IN_CLOCK_4096			0xc		//      1/4096
#define T16_IN_CLOCK_8192			0xd		//      1/8192
#define T16_IN_CLOCK_16384			0xe		//      1/16384
#define T16_EX_ACTIVE_LV_UP			1		//polar character:rise
#define T16_EX_ACTIVE_LV_DOWN		0		//polar character:fail




#endif
